Subject: bug#10157: broken links at http://www.gnu.org/software/automake/

From: Stefano Lattarini <[email-masked]>
Date: Sun, 4 Dec 2011 12:04:30 +0100

Hi Adam, thanks for the report.

On Monday 28 November 2011, Adam Spiers wrote:
> http://www.gnu.org/software/automake/ has several broken links, all
> pointing to sources.redhat.com.
> 
> It seems that related issues were flagged before:
> 
> http://lists.gnu.org/archive/html/automake/2011-07/msg00042.html
> 
> I had to guess my way to https://lists.gnu.org in order to find the
> lists.
> 
The attached patch should fix the issue.  This is the first patch I
write for the Automake web page, and the first one for a CVS-based
repository, so I'd really like a review and an ACK before committing
it.

Regards,
  Stefano
Index: automake.html
===================================================================
RCS file: /web/automake/automake/automake.html,v
retrieving revision 1.15
diff -r1.15 automake.html
18a19
>   <li><a href="#mailinglists" name="TOCmailinglists">Mailing Lists</a>
32,35d32
< See the <a href="http://sources.redhat.com/automake/">GNU Automake
< home page</a> for more information (including <a href="http://sources.redhat.com/automake/#mailing-lists">mailing lists</a>, and the manual
< <a href="http://sources.redhat.com/automake/automake.html">on-line</a> or in
< <a href="http://sources.redhat.com/automake/automake.pdf">PDF</a>).
68,77c65,125
< The Automake manual can be found on the <a
<   href="http://sources.redhat.com/automake/">GNU Automake home page</a>
< <a href="http://sources.redhat.com/automake/automake.html">on-line</a> or in
< <a href="http://sources.redhat.com/automake/automake.pdf">PDF</a>).
< Automake documentation can also be found in several formats at
< <a href="/software/automake/manual/index.html">
< http://www.gnu.org/software/automake/manual/</a>.
< You may also find more information about Automake by looking at your
< local documentation.  For example, you might use <em>info automake</em> at the
< shell prompt.
---
> The Automake manual can be read
> <a href="/software/automake/manual/automake.html">on-line</a> or downloaded
> in <a href="http://sources.redhat.com/automake/automake.pdf">PDF format</a>;
> also, <a href="/software/automake/manual/index.html">more formats</a>
> are offered for download or on-line reading.  If you have installed
> Automake on your system, you may also find more information about it
> by looking at your local documentation; for example you might use
> <em>info automake</em> at the shell prompt.
> </p>
> 
> <h3><a href="#TOCmailinglists" name="mailinglists">Mailing Lists</a></h3>
> 
> <p>
> Automake has several public mailing lists, each of which is archive.
> </p>
> 
> <p>
> For general Automake discussions, use
> <a href="mailto:[email-masked]">[email-masked]</a>
> (<a href="http://lists.gnu.org/archive/html/automake/">archives</a>
> and
> <a href="http://lists.gnu.org/mailman/listinfo/automake/">subscription</a>).
> </p>
> 
> <p>
> If you have a patch for Automake, please send the it to
> <a href="mailto:[email-masked]">[email-masked]</a>
> (<a href="http://lists.gnu.org/archive/html/automake-patches/">archives</a> and
> <a href="http://lists.gnu.org/mailman/listinfo/automake-patches/">subscription</a>).
> The <samp>HACKING</samp> file present in the Automake git repository should
> explain how to properly prepare, format and post a patch.
> </p>
> 
> <p>
> Bug reports can be emailed to
> <a href="mailto:[email-masked]">[email-masked]</a>
> (<a href="http://lists.gnu.org/archive/html/bug-automake/">archives</a>
> and
> <a href="http://lists.gnu.org/mailman/listinfo/bug-automake/">subscription</a>).
> Before submitting a bug report, please read the
> <a href="manual/html_node/Reporting-Bugs.html">Bug Reporting</a>
> section of the manual.
> </p>
> 
> <p>
> You can subscribe to any Automake mailing list via the associated web
> interfaces, linked above.  Or you can send an empty mail with a
> <i>Subject:</i> header line of just "subscribe" to the relevant
> <i>-request</i> list.  For example, to subscribe yourself to the
> bug-automake list, you would send mail to <a
> href="mailto:[email-masked]">[email-masked]</a>
> with no body and a <i>Subject:</i> header line of just "subscribe".
> </p>
> 
> <p>
> It has been necessary to moderate the GNU Automake mailing lists to
> prevent the flood of spam.  Postings to the lists are held for release
> by the list moderator.  Sometimes the moderators are unavailable for
> brief periods of time.  Please be patient when posting.  If you
> don't see the message in the list archive an hour or so after having
> sent it, then it did not get posted.
119,120c167,168
< Copyright &copy; 1997, 1998, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2010
< Free Software Foundation, Inc.,
---
> Copyright &copy; 1997, 1998, 2001, 2002, 2003, 2004, 2005, 2006, 2007,
> 2010, 2011 Free Software Foundation, Inc.,
131c179
< $Date: 2010/11/02 21:23:33 $
---
> $Date: 2011/12/04 12:03:54 $